#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Wrapper
Summary:	Text::Wrapper - simple word wrapping routine
Summary(pl.UTF-8):	Text::Wrapper - proste zawijanie linii
Name:		perl-Text-Wrapper
Version:	1.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	85744d27f358fdfc3cc4e79fd04a0448
URL:		http://search.cpan.org/dist/Text-Wrapper/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::Wrapper Perl Module provides simple word wrapping.  It breaks
long lines, but does not alter spacing or remove existing line breaks. 
If you're looking for more sophisticated text formatting, try the
Text::Format module.

%description -l pl.UTF-8
Moduł Perla Text::Wrapper udostępnia proste zawijanie wierszy. Łamie
długie wiersz, ale nie zmienia odstępów ani nie usuwa istniejących
znaków nowego wiersza. Bardziej wyszukane formatowanie tekstu jest
możliwe przy zastosowaniu modułu Text::Format.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Text/Wrapper.pm
%{_mandir}/man3/*
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Text-Wrapper.git;a=log;h=master

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 40940f7
- up to 1.04

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c1601b
- up to 1.02

* Tue Mar 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 6460e22
- generic URL

* Tue Sep 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 886a10f
- up to 1.01

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bb15db8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e7df537
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 68db361
- formatting

* Sun Oct 24 2004 paladine <paladine@pld-linux.org> 5b8577c
- spelling fixes, upercases, etc.

* Fri May 07 2004 ankry <ankry@pld-linux.org> e198c20
- rel. 11

* Thu May 06 2004 ankry <ankry@pld-linux.org> 1ec6919
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> f4ebc8c
- summary/desc, rel 10

* Mon May 03 2004 ankry <ankry@pld-linux.org> 1dad9cf
- tests added, license fixed, cosmetics

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> cb95668
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 775d735
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 10674b5
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 765d611
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 658cd08
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 1c3417a
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> 53e6f67
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 203fd30
- massive attack: change CPAN URLs

